<!doctype html>
<h1>Raven Sticky Sidebar</h1>

<p>The raven-sticky-sidebar component allows sidebar content to remain visible when it normally would have scrolled out of view.</p>

<h2>Flexbox Layout</h2>

<p>Sidebars have been tested with grid, flexbox, and float layouts. The following example is a flexbox layout with a floated sidebar farther down.</p>

<section class="flex-wrapper">
  <raven-sticky-sidebar class="sidebar flex-sidebar" [topOffset]="16">
    <h4>Sidebar</h4>
    <p>Scroll this sidebar up and down independently of the surrounding content.</p>
    <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Iusto, eos debitis. Quasi accusamus numquam hic neque exercitationem nemo impedit, laboriosam omnis expedita sed id facilis asperiores nulla itaque enim iusto iure alias repellat deleniti possimus deserunt quibusdam placeat optio! Cupiditate quia veritatis saepe dolore dolores numquam error distinctio omnis delectus.</p>
    <p>Consectetur rerum eius harum dolorum placeat unde atque recusandae, corrupti, culpa, eveniet dolore laboriosam delectus. Quos, explicabo ipsam consequatur nostrum totam ut, impedit repellat sapiente laboriosam veniam nobis eius voluptas, soluta perspiciatis expedita rerum nam cum minima reprehenderit praesentium quasi alias in. Numquam mollitia tempora animi quasi debitis deleniti laborum.</p>
    <p>End of sidebar.</p>
  </raven-sticky-sidebar>

  <div class="content flex-content">
    <h3>Sample Content</h3>
    <p>The following content is dummy text.</p>
    <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Accusamus ea culpa minima impedit eum sunt dolor illo? Adipisci magni saepe sed perspiciatis quae ab similique sint provident sapiente necessitatibus nesciunt neque, dolorum ad atque maiores suscipit doloribus officiis aspernatur rerum, molestiae in quasi assumenda error. Minima impedit nihil nisi perferendis.</p>
    <p>Quisquam saepe laboriosam nobis ducimus quia non, quidem, fugit quam sequi quas nesciunt, vero facere repellendus! Alias ullam velit accusamus, cumque consequuntur dignissimos nulla veniam. Nostrum aperiam incidunt, facere porro ratione accusantium dolores asperiores beatae unde explicabo sed suscipit vero, accusamus quo ducimus sunt earum magni fugiat odit possimus similique.</p>
    <p>Laudantium iste vel neque nulla praesentium eaque quos numquam. Ipsa distinctio debitis quidem. Pariatur dolor at omnis? Quibusdam aliquid voluptatibus odio ipsum. Autem inventore hic accusamus iure saepe necessitatibus aliquam voluptate sint, eum, ratione corrupti consequatur. Doloribus, repudiandae eveniet totam dolores, doloremque voluptatum, nostrum cupiditate quo dolorum consectetur officiis accusantium?</p>

    <div class="nested-float-wrapper">
      <raven-sticky-sidebar class="sidebar nested-float-sidebar"
        container=".nested-float-wrapper"
        [topOffset]="16">
        <h4>Sidebar</h4>
        <p>This sidebar is floated to the right and will remain visible until it scrolls out of view.</p>
      </raven-sticky-sidebar>

      <div class="content">
        <h4>Nested Sidebars are Supported</h4>
        <p>Lorem, ipsum dolor sit amet consectetur adipisicing elit. Fugiat maxime fugit excepturi sequi laudantium id. Ducimus ea a inventore, aliquam fugit temporibus in? Porro, excepturi exercitationem odio nulla esse consectetur amet repellat delectus rem at veritatis. Natus nulla eligendi eaque! Voluptate quaerat blanditiis labore excepturi similique, molestias assumenda nam! Rerum!</p>
        <p>Suscipit voluptas quae labore provident asperiores. Dolorem quo porro repellendus nobis qui omnis? Tenetur expedita explicabo, non iure nobis eum quidem blanditiis. Atque asperiores optio saepe cumque deleniti animi. Rem eos fugiat atque similique, odit maiores autem reprehenderit animi dicta, quis repellendus minus eveniet sed sit, cupiditate molestias! Quaerat, labore?</p>
        <p>Quis quas voluptates amet alias dignissimos optio recusandae. Ea nam vitae cum eos perspiciatis earum cumque tempora aspernatur quis, ab voluptatum, quam repellendus, aliquid magni? Nulla, ex! Aliquid recusandae laudantium tempore voluptas corrupti veniam excepturi ea rem dolorem consequuntur sapiente necessitatibus in esse obcaecati, maiores voluptate veritatis perferendis cum repellendus?</p>
        <p>Tenetur minus aut, consectetur eveniet, eius iste deserunt facilis expedita similique illum, nisi blanditiis amet eum in ipsum adipisci dolore. Ad quibusdam velit autem cum tempore aliquid numquam quam error vel maiores natus, nam dignissimos eius alias consequuntur eos eum consequatur necessitatibus esse enim? Laudantium vitae at voluptas exercitationem eum?</p>
        <p>Reprehenderit maxime cumque architecto odio, magni cupiditate eaque ipsa aspernatur, est dolorem dicta atque error impedit. Aperiam, dolorum? Laboriosam ratione fuga debitis eaque. Magnam pariatur eos praesentium aliquam laudantium dolor ipsam ipsa laboriosam sequi ex hic maxime ea saepe illum, iure esse optio commodi excepturi dolores architecto. Ab, ad iure?</p>
      </div>
    </div>

    <div class="dynamic-content">
      <h4>Support for Dynamic Content</h4>
      <p>Press the button below to add or remove content. The sidebar on the left should adjust appropriately.</p>
      <p><button (click)="toggleDynamicContent()">Toggle Content</button></p>

      <div *ngIf="showDynamicContent">
        <p>Dolores aut, nam rerum accusamus velit iusto doloribus quisquam soluta, mollitia non adipisci dolorum, amet quam quidem! Ea ducimus beatae in at illo impedit ex porro sequi neque hic natus fugiat quos quidem eius, error blanditiis quo. Sunt accusantium libero enim laborum repudiandae optio tempore beatae, corporis assumenda aspernatur? Necessitatibus?</p>
        <p>Distinctio expedita vel fugit nemo, facilis saepe excepturi recusandae odio quae quibusdam eum laborum laboriosam nisi officia quaerat, voluptas esse unde officiis a sed eaque? Tenetur, voluptatum delectus? Qui, sunt? Deserunt veritatis corporis non accusantium delectus optio repellat reiciendis cupiditate quia animi, temporibus qui, maiores sit tempora excepturi atque asperiores!</p>
        <p>Earum, neque asperiores. Iste atque, ipsam, aut facere expedita laudantium eaque quae a officia quis ad laborum? Quis animi hic eligendi quasi similique qui culpa voluptates aut ab possimus earum commodi reiciendis nobis rem est, sed explicabo! Rem officiis, ut repudiandae dolores quis quam quaerat, totam aut nesciunt sunt illum.</p>
        <p>Optio ad consectetur quibusdam, dignissimos culpa quam assumenda hic corporis dolore, accusantium ab at reiciendis quaerat iure facilis, in libero reprehenderit explicabo voluptatibus. Esse doloremque laborum cumque ab rerum id ut dignissimos temporibus, accusantium quo quibusdam assumenda animi nihil dolore ea ratione, libero nam voluptatem. Minus labore optio aperiam ad.</p>
        <p>Neque itaque voluptates in eum magnam architecto voluptatem, voluptatibus exercitationem perferendis aliquid, praesentium soluta voluptatum rem ratione nulla saepe? Est nemo voluptas molestiae nostrum porro incidunt similique at eius perferendis assumenda non tenetur, voluptatum, aliquid repudiandae. Iure reprehenderit placeat, laborum reiciendis dignissimos provident rerum! Voluptatum esse iusto asperiores repellendus reiciendis.</p>
      </div>
    </div>
  </div>
</section>

<h2>CSS Grid Layout</h2>

<p>The following layout uses CSS Grid. It also demonstrates how sidebars can work inside of a limited height element that has its own scrollbars. For this to work, you only need to add a <code>container</code> attribute and set its value to a CSS selector that targets the container element.</p>

<section class="grid-wrapper">
  <div class="content">
    <h3>Sample Content</h3>
    <p>Scroll this content to see how the sidebars remain in place.</p>
    <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Sapiente eligendi voluptatum exercitationem deleniti quidem molestiae aliquid corporis in atque? Delectus porro quas nostrum esse molestias corporis quisquam voluptatibus provident, nisi, eum adipisci quo perspiciatis dolores voluptatem vel sequi et, molestiae reprehenderit laboriosam id ducimus ratione. Provident reprehenderit dicta magnam pariatur!</p>
    <p>Omnis iusto modi porro voluptatum natus hic enim tenetur corrupti eius id dolore possimus, aliquid fuga nulla magni rerum. Repellat quas similique sunt reiciendis, sit obcaecati fuga earum cum inventore, maiores nam eligendi nulla fugiat at aspernatur sint a, esse quam distinctio minus! Inventore porro, beatae quasi pariatur consequuntur rerum!</p>
    <p>Facere inventore culpa, vel placeat ullam provident nisi repellat quod dolor consectetur totam recusandae unde, eius qui sunt reprehenderit. Ex suscipit praesentium incidunt ea consequatur quaerat rem dolorem nesciunt officiis error, est nemo sit earum itaque nulla quam illo consectetur molestias ab odio beatae saepe. Beatae possimus placeat dolor debitis.</p>
    <p>Sequi cum magnam sunt culpa esse excepturi earum voluptatem debitis officiis porro ipsum labore, placeat architecto eaque aliquid necessitatibus ratione voluptas modi quo tempora similique est nostrum deserunt. Voluptatum exercitationem maxime nihil nulla mollitia, suscipit aliquid debitis perferendis similique voluptates velit dignissimos, odio, quidem laborum? Consequuntur laudantium corrupti minima hic.</p>
    <p>Dicta illo exercitationem ratione iusto commodi consequuntur nobis doloremque ullam id sapiente, cumque dolorum nihil? Neque possimus voluptatibus vitae expedita quod laudantium exercitationem at fugiat. Doloremque sequi eum sapiente praesentium incidunt consequuntur tempore aliquam, earum sed, natus repellendus eligendi reiciendis, tempora reprehenderit necessitatibus cum vero. Ut ipsa voluptatem eligendi similique?</p>
    <p>Accusamus iste officiis minus, unde quidem expedita enim temporibus dolores, ipsum eveniet architecto, dolorum quam asperiores vel. Distinctio, cum ab maxime quis suscipit hic numquam obcaecati delectus ratione adipisci dolorum. Assumenda natus placeat itaque at quos, dolores explicabo, enim libero suscipit cum reiciendis porro voluptatem? Odio numquam voluptatum repudiandae expedita.</p>
    <p>Similique magnam praesentium quae, iusto perferendis officiis? Aspernatur voluptatem corporis ex repudiandae molestiae earum dolores inventore similique laudantium ipsa eius placeat debitis, nam quia voluptate mollitia laborum amet maiores provident veniam asperiores! Exercitationem nulla temporibus cupiditate dolorem iure id, voluptatibus corporis minima nam veniam, similique ullam fuga error magnam porro!</p>
    <p>Adipisci blanditiis doloribus magni odio officiis iste quibusdam numquam atque, id nisi aspernatur debitis mollitia reiciendis. Autem ad laboriosam numquam iusto deleniti minima eaque corporis vel error voluptatem earum provident, ea aperiam reprehenderit atque cupiditate, voluptates dolorum perferendis. Excepturi eligendi deleniti ullam id, provident aperiam sit ducimus velit perferendis sapiente.</p>
    <p>Maxime neque, dolor doloribus nisi quis aliquam minus voluptates recusandae consectetur itaque aperiam velit quas architecto quo. Quaerat voluptate officiis cumque eos error reprehenderit dolorum quam ad aliquid eius atque, possimus laborum hic odit obcaecati eaque esse incidunt illum. Consequuntur perspiciatis porro repudiandae vitae quis labore recusandae ducimus explicabo itaque.</p>
    <p>Tempora officia, veniam harum iure obcaecati expedita rem ut voluptatem maxime nisi atque earum laboriosam, dicta provident quidem temporibus cum dolorem nihil eum. Blanditiis, porro. Ipsum impedit tenetur, nemo consequatur modi possimus neque architecto amet! Aspernatur nisi voluptatem iusto optio quae, dolore ratione ipsam corporis reprehenderit possimus molestiae, in perspiciatis.</p>
    <p>Excepturi non temporibus illum tempora laudantium quam, corporis, impedit ad molestias magni error suscipit aliquam eos in exercitationem iste, commodi praesentium sed! Voluptatum qui eius omnis! Totam expedita iste laboriosam consequuntur et alias sed recusandae amet voluptates nihil, pariatur, consequatur ratione dolor ut in sint odio officiis excepturi, magni saepe?</p>
    <p>Nulla nam consequatur, minima harum ipsum sed illum expedita hic, suscipit quaerat temporibus tempore doloribus praesentium fuga quis est cupiditate similique quas molestias, sapiente totam laudantium repudiandae? Voluptatem, excepturi aspernatur. Sit, odit asperiores ipsum nemo odio molestias perferendis recusandae autem, ab distinctio illo laborum corrupti nobis, molestiae dolore placeat? Vitae.</p>
    <p>Voluptatibus enim laboriosam fugit. Harum facilis debitis aliquam iusto dicta porro earum tempora itaque suscipit aut labore quos repudiandae dolorem eum incidunt recusandae laborum, dignissimos culpa, distinctio nihil, sint possimus sequi ex. Ullam quo quasi, nisi ratione autem, excepturi, recusandae repudiandae deleniti nulla nesciunt atque voluptate fugit laboriosam dolorum libero?</p>
    <p>Voluptates sunt ipsum cupiditate quas qui incidunt? Ipsa minima facilis velit nam repellat nostrum in temporibus perferendis reiciendis atque minus sit repellendus hic, maiores assumenda, aut molestias, amet mollitia omnis dolore voluptatum nulla dolorum? Iusto debitis fuga, beatae maiores voluptas cum quos ex. Suscipit recusandae sit excepturi repudiandae distinctio porro!</p>
    <p>Amet corrupti in nulla enim? Porro magni autem soluta nesciunt. Eos, hic sapiente repellendus error doloribus nesciunt nisi magnam harum dolorum. Perspiciatis earum pariatur ab voluptas sit alias reiciendis facilis omnis hic laboriosam, minus saepe quam, dolorem quisquam temporibus in deserunt et enim porro delectus recusandae suscipit! Reprehenderit, culpa sequi!</p>
    <p>Rerum, perspiciatis laudantium. Delectus nisi molestiae vel praesentium labore at maiores laboriosam dolore saepe perspiciatis eum error rem ducimus iste soluta repudiandae ipsum sequi nostrum facere tempora dolorum corporis, consequuntur accusantium magnam! Recusandae, quis? Deserunt aliquam, laudantium facere eum alias expedita cumque explicabo modi voluptas, tenetur fuga temporibus voluptate ut!</p>
    <p>Sequi, animi molestias error excepturi laborum vitae explicabo. Iusto, nihil inventore eius dolores quae odio error non repellendus beatae doloremque quos perspiciatis porro nesciunt sapiente libero repellat officia dicta explicabo voluptatibus iure iste! Illum voluptate voluptatum soluta velit. Quas alias, quis sint quibusdam iure ex velit quidem voluptatem veritatis corrupti!</p>
    <p>Dolor veritatis ex impedit quod doloremque ducimus aspernatur dolorum, esse doloribus molestiae ipsam reprehenderit in est natus vel. Odio laborum eum nesciunt esse enim, corrupti voluptas, neque corporis eius, optio doloremque nemo hic recusandae culpa iusto commodi nostrum aspernatur itaque assumenda? In natus, consequuntur dolorem reprehenderit ex architecto. Voluptatem, inventore.</p>
    <p>Quas, voluptatum. Est tenetur, neque quam dolor illum omnis dolores. Consequatur, vitae consequuntur nisi quos iure doloribus voluptates, natus eligendi officia labore commodi accusamus earum excepturi dolor distinctio. Nemo voluptate facere corrupti obcaecati doloribus veniam at repellat, quisquam tempora officia culpa esse illum, ullam quaerat impedit, rem porro cum voluptas.</p>
  </div>

  <raven-sticky-sidebar class="sidebar menu" container=".grid-wrapper">
    <nav>
      <h4>Sample Menu</h4>
      <p>(These links don't actually go anywhere.)</p>

      <ul>
        <li><a href="#">Sample Link</a></li>
        <li><a href="#">Another Menu Item</a></li>
        <li><a href="#">One Last Link</a></li>
      </ul>
    </nav>
  </raven-sticky-sidebar>

  <raven-sticky-sidebar class="sidebar aux" container=".grid-wrapper">
    <aside>
      <h4>Sidebar</h4>
      <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Iusto, eos debitis. Quasi accusamus numquam hic neque exercitationem nemo impedit, laboriosam omnis expedita sed id facilis asperiores nulla itaque enim iusto iure alias repellat deleniti possimus deserunt quibusdam placeat optio! Cupiditate quia veritatis saepe dolore dolores numquam error distinctio omnis delectus.</p>
      <p>Consectetur rerum eius harum dolorum placeat unde atque recusandae, corrupti, culpa, eveniet dolore laboriosam delectus. Quos, explicabo ipsam consequatur nostrum totam ut, impedit repellat sapiente laboriosam veniam nobis eius voluptas, soluta perspiciatis expedita rerum nam cum minima reprehenderit praesentium quasi alias in. Numquam mollitia tempora animi quasi debitis deleniti laborum.</p>
      <p>In aperiam tempora, cupiditate, ea at voluptatibus porro, ipsa nihil placeat quae laboriosam repudiandae amet. Ut, nihil.</p>
      <p>End of sidebar.</p>
    </aside>
  </raven-sticky-sidebar>
</section>

<h2>Float-based Layout</h2>

<p>For float-based layouts, you will need to make sure the container element’s last child clears any floats (or use the <code>::after</code> pseudo-element to clear them).</p>

<section class="float-wrapper">
  <raven-sticky-sidebar class="sidebar float-sidebar" [topOffset]="16">
    <nav>
      <h4>Sample Menu</h4>
      <p>(These links don't actually go anywhere.)</p>

      <ul>
        <li><a href="#">Sample Link</a></li>
        <li><a href="#">Another Menu Item</a></li>
        <li><a href="#">One Last Link</a></li>
      </ul>
    </nav>
  </raven-sticky-sidebar>

  <div class="content float-content">
    <p>This content is floated right and the menu is floated left.</p>
    <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Nisi iusto porro eos quos praesentium delectus sed quod dolorem ullam, officiis ex nulla recusandae neque explicabo fugit possimus maxime minus et natus. Veritatis repellat eos corrupti autem accusantium eaque magnam aut.</p>
    <p>Nihil cum dolor provident praesentium, eius consectetur veritatis expedita in. Numquam magnam amet natus, obcaecati non saepe quod deleniti exercitationem vitae sunt. Eligendi commodi eaque deleniti suscipit nisi ut animi iure quas aliquam optio laudantium nam beatae libero, minima a?</p>
    <p>Aliquid, nobis officia, quibusdam iure laboriosam corporis aperiam dolores eveniet eligendi nisi quo eum asperiores voluptatem. Quod asperiores voluptatibus possimus, eaque recusandae itaque eius provident laudantium necessitatibus, tempore quo, nisi doloremque aliquam doloribus exercitationem adipisci dolorum aut laboriosam maiores dolorem!</p>
    <p>Autem aliquam vero fugiat expedita a reiciendis voluptatem corporis in. Id praesentium optio dolorum minima commodi omnis explicabo vitae aliquam aperiam, enim sit perspiciatis similique error fugit ea soluta magni facilis aut quasi ut quaerat expedita repellat quibusdam! Quod, voluptatem?</p>
    <p>Excepturi tenetur eaque doloribus expedita architecto iure odio laborum aut quos optio id culpa quas qui dolor soluta fugiat porro molestias ea, iste corrupti eos magnam? Fuga ducimus cumque quas sit, atque sunt architecto error, voluptas rerum cupiditate velit quibusdam?</p>
    <p>Architecto iure voluptate totam similique excepturi nihil dolor repellat hic dolorem neque harum libero nesciunt consectetur nulla, et amet distinctio sequi optio quam, at animi fugiat. Recusandae vitae, odit vero esse officiis illum excepturi unde eligendi, repellat tempore explicabo fuga?</p>
    <p>Sunt optio dignissimos accusamus impedit rerum, dolorem corrupti tempore consequatur quia architecto beatae unde doloremque voluptas ad aliquid ducimus, quam quos et nam debitis fuga. Ducimus vel maxime incidunt sint, mollitia blanditiis pariatur possimus similique. Reiciendis est aspernatur doloribus repellendus?</p>
    <p>Laudantium saepe facere sint veniam eveniet perspiciatis maxime sequi culpa quam? Distinctio repellat nulla dicta fugit cum qui quibusdam accusamus architecto nesciunt provident veniam, quo illum ipsum eum vero expedita quasi voluptates sequi dignissimos ad quisquam molestiae quidem doloribus ex.</p>
    <p>Optio porro nam id debitis impedit veniam doloribus aperiam officiis excepturi sit totam corrupti pariatur consequatur mollitia quis, minus sed accusamus. Esse alias commodi temporibus tempora porro nulla culpa facilis error adipisci itaque. Eligendi ullam voluptates exercitationem voluptas id totam.</p>
    <p>Libero sapiente est provident nemo assumenda aperiam maxime perferendis qui praesentium unde accusantium totam, quidem dolore tempore ex reiciendis harum atque repellat incidunt accusamus culpa quia, aliquam fuga molestias! Consequuntur vitae tempora fugiat assumenda dolore officiis voluptatem id quam odit.</p>
    <p>Earum at ab accusamus assumenda odit! Ex, ratione? Delectus suscipit labore ipsum impedit minus expedita velit officiis nemo dolore. Reiciendis, accusamus. Perspiciatis impedit accusamus quis maxime nihil, exercitationem, pariatur voluptas soluta placeat ipsum quod voluptates, odio quidem rem corporis doloribus!</p>
    <p>Consequatur possimus cum quidem nam hic, quasi reiciendis aliquid placeat quo reprehenderit, soluta earum culpa repellendus odio nostrum harum rerum delectus maxime. Eaque ullam cupiditate dolor, voluptatibus expedita natus doloremque architecto. Repudiandae doloribus impedit consectetur saepe modi, reiciendis tempora nostrum.</p>
    <p>Doloribus a, perferendis excepturi sint quo rem modi magni. Voluptatibus laborum consequatur suscipit error, dignissimos, nostrum illo necessitatibus veniam quidem, eum mollitia perferendis iusto veritatis voluptates eveniet porro et ratione iure odio? Magnam veritatis labore earum unde nisi! Dignissimos, suscipit?</p>
    <p>Laborum voluptatum et nam voluptatibus, distinctio quaerat est doloremque id autem eum labore facilis repudiandae cupiditate commodi dolorem temporibus delectus quos porro assumenda quas, odit earum saepe. Inventore, dolorem cupiditate numquam perferendis repellendus unde at, consequatur maxime accusamus laborum reprehenderit!</p>
    <p>Nihil expedita velit excepturi ex sunt saepe, aliquid, dolor nisi laboriosam rerum, consequatur nemo laborum inventore libero tempore iusto praesentium possimus qui eius dicta? Odio repellat, vitae magni ratione nobis non repellendus error corporis repudiandae dolorum excepturi sit odit veniam.</p>
    <p>Asperiores cupiditate facilis unde? Tenetur animi possimus dicta distinctio veniam, voluptate enim facilis suscipit ut velit sint repellat rerum reiciendis sapiente quasi quibusdam aspernatur rem quia? Quasi exercitationem autem porro tempora facilis assumenda, earum veritatis est alias similique sit repellat.</p>
    <p>Autem, facere aliquam asperiores fugiat cupiditate veniam fugit tempora molestiae dolorum iste sed culpa accusamus sunt quasi inventore eius quia sit, eaque, voluptas non dolor quas perspiciatis sapiente corrupti! Quis, quasi! Quo, repellendus alias aut eligendi dicta fugiat a iusto?</p>
    <p>Consequuntur corporis dicta nesciunt accusantium, quibusdam doloremque! Laborum, labore unde cumque consequatur iure laboriosam, magni, autem doloremque nisi maiores delectus quod laudantium hic. Modi, sequi natus voluptatum dignissimos quo nihil animi, cumque vero tenetur officia quae exercitationem alias facere vitae.</p>
    <p>Repellendus, ducimus commodi eveniet, laboriosam iure nulla sapiente libero facere dolore aperiam laudantium nostrum! Commodi voluptate distinctio, accusantium dolores aliquid dicta fugiat ipsum provident dolor. Doloremque, nam! Sapiente id adipisci officia dolorum quaerat, in blanditiis ut praesentium ipsam laudantium eaque.</p>
    <p>Reprehenderit iusto unde autem beatae pariatur ex dignissimos quia deleniti voluptatibus rem, sed, quo, vero assumenda dolorem? Modi nemo dignissimos amet dolorem saepe alias aperiam quas quibusdam recusandae delectus. Nam odit provident deleniti non illum ullam laborum nulla est at.</p>
  </div>
</section>
